# eric5.E5Network.E5NetworkHeaderDetailsDialog

Module implementing a dialog to show the data of a response or reply header.

### Global Attributes

None

### Classes

E5NetworkHeaderDetailsDialog | Class implementing a dialog to show the data of a response or reply header.

### Functions

None

## E5NetworkHeaderDetailsDialog

Class implementing a dialog to show the data of a response or reply header.

### Derived from

QDialog, Ui_E5NetworkHeaderDetailsDialog

### Class Attributes

None

### Class Methods

None

### Methods

E5NetworkHeaderDetailsDialog | Constructor
setData | Public method to set the data to display.

### Static Methods

None

#### E5NetworkHeaderDetailsDialog (Constructor)

E5NetworkHeaderDetailsDialog(parent=None)

Constructor

parent
  reference to the parent object (QWidget)

#### E5NetworkHeaderDetailsDialog.setData

setData(name, value)

Public method to set the data to display.

name
  name of the header (string)
value
  value of the header (string)

Up